Loading...
Searching...
No Matches
peakionisotopematch.cpp File Reference
`#include "peakionisotopematch.h"`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

std::vector< PeakIonIsotopeMatch >::iterator | pappso::findComplementIonType (std::vector< PeakIonIsotopeMatch >::iterator begin, std::vector< PeakIonIsotopeMatch >::iterator end, const PeakIonIsotopeMatch &peak_ion, std::size_t peptide_size)
| find the first element containing the complementary ion complementary ion of y1 is b(n-1) for instance